# Get chaos hub

Get chaos hub based on given filters

Endpoint: GET /gateway/chaos/manager/api/rest/hubs/{hubIdentity}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

## Path parameters:

  - `hubIdentity` (string, required)
    chaos hub identity

## Response 200 fields (application/json):

  - `accountID` (string, required)

  - `actionTemplateCount` (integer)

  - `authType` (string)
    TBD check if this details is available in connector details if so deprecate it
    Enum: "Ssh", "UsernameToken"

  - `connectorId` (string)
    TBD use ConnectorRef: org.test-connector and deprecate it

  - `connectorScope` (string)
    TBD use ConnectorRef and deprecate it
    Enum: "ACCOUNT", "PROJECT", "ORGANISATION"

  - `createdAt` (integer)

  - `createdBy` (string)

  - `description` (string)

  - `experimentTemplateCount` (integer)

  - `faultTemplateCount` (integer)

  - `hubId` (string, required)

  - `identity` (string, required)

  - `isDefault` (boolean, required)

  - `isRemoved` (boolean, required)

  - `lastSyncedAt` (integer)

  - `name` (string, required)

  - `orgID` (string)

  - `probeTemplateCount` (integer)

  - `projectID` (string)

  - `repoBranch` (string)

  - `repoName` (string)

  - `repoUrl` (string)

  - `tags` (array)

  - `updatedAt` (integer)

  - `updatedBy` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


